XYMONCLIENT.CFG(5)

NAME
xymonclient.cfg - Xymon client environment variables

DESCRIPTION
Xymon programs use multiple environment variables beside the normal set of variables. For the Xymon client, the environment definitions are stored in the ~xymon/client/etc/xymonclient.cfg file. Each line in this file is of the form NAME=VALUE and defines one environment variable NAME with the value VALUE.

SETTINGS

XYMSRV
    The IP-address used to contact the Xymon server. Default: Chosen when the Xymon client was compiled.

XYMSERVERS
    List of IP-addresses of Xymon servers. Data will be sent to all of the servers listed here. This setting is only used if XYMSRV=0.0.0.0.

XYMONDPORT
    The port number for used to contact the Xymon server. Default: 1984.

XYMONHOME
    The Xymon client top-level directory. Default: The $XYMONCLIENTHOME setting inherited from the "runclient.sh" script which starts the Xymon client.

XYMONCLIENTLOGS
    The directory for the Xymon clients' own log files. Default: $XYMONHOME/logs

XYMONTMP
    Directory used for temporary files. Default: $XYMONHOME/tmp/

XYMON
    Full path to the xymon(1) client program. Default: $XYMONHOME/bin/xymon.

Commands
    Many extension scripts expect a series of environment variables to point at various system utilities. These are included in the file when the client is built.

INHERITED SETTINGS
Some environment variables are inherited from the "runclient.sh" script which launches the Xymon client:

MACHINEDOTS
    The hostname of the local system. Default: Taken from "uname -n".

MACHINE
    The hostname of the local system, with dots replaced by commas. For compatibility with Big Brother extension scripts.

SERVEROSTYPE
    The operating system of the local system, in lowercase. Default: taken from "uname -s".

XYMONCLIENTHOME
    The top-level directory for the Xymon client. Default: The location of the "runclient.sh" script.

SEE ALSO
xymon(7)